Bug 112994 - EDITING Unable to delete hyperlink from hyperlink dialog
Summary: EDITING Unable to delete hyperlink from hyperlink dialog
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Hyperlink-Dialog Hyperlink-Calc
  Show dependency treegraph
 
Reported: 2017-10-08 11:50 UTC by Emil Tanev
Modified: 2020-12-12 03:47 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emil Tanev 2017-10-08 11:50:42 UTC
Open Calc
Create a hyperlink 
Close the hyperlink dialog
Open the hyperlink dialog
Delete the hyperlink and the text (all is blank)
Click OK
Issue: The hyperlink remains
Either make it possible to delete the hyperlink from the dialog, or disable the OK and Apply buttons, so that the user knows that deleting it is not possible from the dialog.

https://www.screencast.com/t/ylkgH5Nq3B

Version: 5.4.1.2 (x64)
Build ID: ea7cb86e6eeb2bf3a5af73a8f7777ac570321527
CPU threads: 8; OS: Windows 6.19; UI render: default; 
Locale: ja-JP (ja_JP); Calc: group
Comment 1 raal 2017-10-08 20:24:26 UTC
I can confirm with LO 4.4 and LO 6, win7
Comment 2 Zineta 2017-10-09 11:40:03 UTC
Also cinfirmed with OOo 3.3.0; LO 3.3.0; LO 5.2.7.2; LO 6.0;
OS:Win 7.
The hyperlink remains, there should be some  button to remove hyperlink in dialog box.
Comment 3 QA Administrators 2020-12-12 03:47:52 UTC
Dear Emil Tanev,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug